Search Entities

Search Entities
Search entities

Using search API you can search VCF Operations for networks entities by specifying entity type and filter expression. A filter expression is a predicate expression (similar to SQL where clause) used to define the search criteria. Please refer to API Guide on details of how to construct filter expression. A successful search request will return a list of entity ids that matches the search criteria.

Request
URI
POST
https://{api_host}/api/ni/search
COPY
Request Body

Search Request

SearchRequest of type(s) application/json
Optional
{
    "entity_type": "string",
    "filter": "string",
    "sort_by": {
        "field": "string",
        "order": "string"
    },
    "size": 0,
    "cursor": "string",
    "time_range": {
        "start_time": 1597247025,
        "end_time": 1597247999
    }
}
string
entity_type
Optional

entity_type

Possible values are : Group, BaseSecurityGroup, BaseEvent, BaseVirtualMachine, BaseFirewallRule, BaseFirewallSection, BaseIPSet, BaseL2Network, BaseFirewall, BaseService, BaseServiceGroup, BaseVnic, VirtualMachine, EC2Instance, Host, Vnic, Vmknic, VxlanLayer2Network, VlanL2Network, Cluster, SecurityTag, ResourcePool, NSXIPSet, NSXTIPSet, EC2IPSet, NSXSecurityGroup, NSGroup, NSXPolicyGroup, EC2SecurityGroup, Flow, ProblemEvent, Application, DiscoveredApplication, Tier, DiscoveredTier, IPEndpoint, NSXFirewallRule, EC2SGFirewallRule, NSXRedirectRule, VCenterManager, NSXVManager, NSXTManager, NSXPolicyManager, CheckpointManager, CheckpointMDSManager, BaseManager, BaseFirewallManager, BaseNSXManager, NSXService, EC2Service, NSService, PolicyManagerServiceEntryConfig, VPC, CloudNetwork, AzureVM, AzureNSG, AzureASG, AzureNSGRule, NSXDistributedFirewall, EC2Firewall, NSXServiceGroup, NSServiceGroup, PolicyManagerServiceConfig, DistributedVirtualSwitch, DistributedVirtualPortgroup, VCDatacenter, Datastore, Folder, NSXTFirewallRule, NSXTFirewall, PolicyManagerFirewallRule, PolicyManagerFirewall, BaseGenericFirewall, BaseGenericFirewallRule, CheckpointFirewall, CheckpointFirewallRule, UserDefinedSubnet, KubernetesNamespace, KubernetesService, UserDefinedProblemEvent, FirewallRuleMaskEvent, EdgeDevice, RouterDevice, NSXController, LogicalRouter, NSXTManagementNode, NSXTController, NSXTTransportNode, NSXTTransportZone, NSXTLoadBalancer, NSXTVirtualServer, NSXTServerPool, NSXTLogicalSwitch, NSXTRouterDevice, NSXTEdgeCluster, NSXControllerCluster, AzureSubscription, AWSAccountManager, HcxDataSource, VMCSDDC, VMCCapacityThresholdBreachEvent, PolicyManagerSegment, PolicyManagerFirewallSection, DirectConnectInterface, VMCSDDCGROUP, AnalyticsThresholdCompositeProblemEvent, VmcAWSDxConnection, NsxPolicyBasedIPSecVPNSession, NsxtPolicyBasedIPSecVPNSession, VMWareTransitGateway, SwitchPort, RouterInterface, HCXManager, HCXSite, HCXAppliance, HCXNEAppliance, HCXIXAppliance, HCXWANOPTAppliance, HCXTunnel, HCXL2Extension, HCXServiceMesh, HCXService, HCXNetworkProfile, HCXComputeProfile, KubernetesCluster, KubernetesNode, KubernetesPod, VirtualDisk, NSXTTransportNodeCPUCore, NSXVPC, NSXProject, SupervisorCluster, SupervisorNamespace, KubernetesNetworkPolicy, KubernetesEgress,
string
filter
Optional

query filter

object
sort_by
Optional

sort_by

integer As int32 As int32
size
Optional

size

string
cursor
Optional

cursor

object
time_range
Optional

time_range

Authentication
This operation uses the following authentication methods.
Responses
200

Success

Returns PagedListResponseWithTime of type(s) application/json
{
    "results": [
        {
            "entity_id": "string",
            "entity_type": "VirtualMachine",
            "time": 0
        }
    ],
    "cursor": "ML12eu02==",
    "total_count": 100,
    "start_time": 1504739809,
    "end_time": 1504739809
}
array of object
results
Optional

results

string
cursor
Optional

Cursor for the next page

integer
total_count
Optional

Total number of objects returned

integer As int64 As int64
start_time
Optional

Start timestamp of the window of the objects returned

integer As int64 As int64
end_time
Optional

End timestamp of the window of the objects returned


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/search